/**
 * Created by jin.zhouhang on 17-8-11 下午2:22.
 *
 * 异常处理 简写
 */
export default {
  methods: {
    err(err) {
      if (err.response !== undefined) {
        this.$message.error(`请求错误： ${JSON.stringify(err.response.status)}`)
      } else {
        this.$message.error(err)
      }
    },
    catchErr(res) {
      if (res.code < 1) {
        this.$message.error(res.msg)
        return true
      }
      return false
    }
  }
}
